Bug 1013764 - DNF group remove doesn't work
DNF group remove doesn't work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 14:03 EDT by František Zatloukal
Modified: 2014-09-30 19:41 EDT (History)
4 users (show)

See Also:
Fixed In Version: dnf-0.4.3-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-09 10:15:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description František Zatloukal 2013-09-30 14:03:41 EDT
Description of problem:
dnf can't be used to remove installed groups.

Version-Release number of selected component (if applicable):
0.4.1-1.git55e6369.fc21

How reproducible:
Always

Steps to Reproduce:
1.Try to remove some installed group with DNF

Actual results:
Fails with this backtrace:
Traceback (most recent call last):
  File "/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 272, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 133, in _main
    result, resultmsgs = cli.run()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1290, in run
    return self.command.doCommand(self.base.basecmd, self.base.extcmds)
  File "/usr/lib/python2.7/site-packages/dnf/cli/commands.py", line 885, in doCommand
    return self.base.removeGroups(extcmds)
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 920, in removeGroups
    txmbrs = self.groupRemove(group_string)
  File "/usr/lib/python2.7/site-packages/dnf/yum/base.py", line 1583, in groupRemove
    txmbrs = self.remove(name=pkg, silence_warnings=True)
TypeError: remove() got an unexpected keyword argument 'name'

Expected results:
Successful resolve of dependencies and group remove.
Comment 1 Ales Kozumplik 2013-10-01 01:42:31 EDT
Hi, thanks for the report. We haven't worked on the group support much yet so this is unfortunately normal and I can reproduce this.

We'll take a look.
Comment 2 Ales Kozumplik 2013-10-07 05:22:44 EDT
Fixed by 6e4be2b, will be included in dnf-0.4.3
Comment 3 Fedora Update System 2013-10-07 09:52:23 EDT
dnf-0.4.3-1.gitc1716d7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.3-1.gitc1716d7.fc20
Comment 4 Fedora Update System 2013-10-07 14:53:06 EDT
dnf-0.4.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.3-2.fc20
Comment 5 Fedora Update System 2013-10-09 10:15:38 EDT
dnf-0.4.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.